DUMPGAME(1)

NAME
dumpgame - extract rom set information from ckmame database

SYNOPSIS
dumpgame {-b | - -brief} [{-D dbfile | - -rom-db dbfile}] [game]
dumpgame -c | - -checksum [{-D dbfile | --db dbfile}] checksum [...]
dumpgame [-hV] [- -all-sets] [- -dats] [- -detector] [- -disks] [- -games] [- -hash-types] [- -help] [- -list-sets] [- -set pattern] [- -summary] [- -version]

DESCRIPTION
dumpgame extracts rom set information from a ckmame(1) database. dumpgame can also find roms matching a particular checksum.

dumpgame supports the following options:

- -all-sets
    Do the action for all configured sets.

-b, - -brief
    Use brief mode: don't output ROM and disk information.

-c, - -checksum
    Look for a ROM or disk by checksum (instead of the default behaviour to look for a game by name).

-D dbfile, - -rom-db dbfile
    Use database dbfile instead of the default “mame.db”.

- -dats
    Names of the datfiles used for creating the database, and their descriptions.

- -detector
    Name and version of the CMPro XML header skip detector used (if any).

- -disks
    List names of all disks in the database.

- -games
    List names of all games in the database.

- -hash-types
    Types of checksums used (crc, md5, sha1). One line each for roms and disks.

-h, - -help
    Display a short help message.

- -list-sets
    List all configured sets.

- -set pattern
    Run dumpgame for all sets matching pattern.

- -summary
    List some statistics about the contents of the database.

-V, - -version
    Display program name and version number.

ENVIRONMENT

MAMEDB
    Location for the database file. Can be overridden with the -D option. Defaults to “mame.db”.

EXAMPLES
Display rom information for the game “pacman”:
    dumpgame pacman
Display all roms matching the checksum “c1e6ab10”:
    dumpgame -c c1e6ab10

SEE ALSO
ckmame(1), mkmamedb(1)

AUTHORS
-nosplit dumpgame was written by Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>.